Module | OpenSSL::SSL::Nonblock
In: | openssl/lib/openssl/ssl.rb

### Methods

new

### Public Class methods

new(*args)

[Source]

    # File openssl/lib/openssl/ssl.rb, line 54
          def initialize(*args)
            flag = File::NONBLOCK
            flag |= @io.fcntl(Fcntl::F_GETFL) if defined?(Fcntl::F_GETFL)
            @io.fcntl(Fcntl::F_SETFL, flag)
            super
          end

[Validate]